### Method

# GUPnP RootDevice get_description_dir

#### Declaration [src]

    const char*
    gupnp_root_device_get_description_dir (
      GUPnPRootDevice* root_device
    )

#### Description [src]

Gets the path to the directory containing description documents related to `root_device`.

Gets property | `GUPnP.RootDevice:description-dir`

#### Return value

Type: `const char*`

The path to description document directory of `root_device`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.